uuid: 84818b2f-8d1b-444d-9a81-e432a60fec5e
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.body
    - field.storage.node.field_abstract
    - field.storage.node.field_body
    - field.storage.node.field_description
    - field.storage.node.field_keywords
    - field.storage.node.field_sidebar_elements
    - field.storage.paragraph.field_body
    - field.storage.taxonomy_term.field_abstract
    - field.storage.taxonomy_term.field_keywords
    - search_api.server.durham_tech
  module:
    - node
    - paragraphs
    - search_api_exclude_entity
    - taxonomy
id: site_index
name: 'Site Index'
description: ''
read_only: false
field_settings:
  body:
    label: Body
    datasource_id: 'entity:node'
    property_path: body
    type: text
    dependencies:
      config:
        - field.storage.node.body
  field_abstract:
    label: Abstract
    datasource_id: 'entity:node'
    property_path: field_abstract
    type: text
    dependencies:
      config:
        - field.storage.node.field_abstract
  field_abstract_1:
    label: Abstract
    datasource_id: 'entity:node'
    property_path: field_abstract
    type: text
    dependencies:
      config:
        - field.storage.node.field_abstract
  field_abstract_2:
    label: 'Term Abstract'
    datasource_id: 'entity:taxonomy_term'
    property_path: field_abstract
    type: text
    dependencies:
      config:
        - field.storage.taxonomy_term.field_abstract
  field_body:
    label: Body
    datasource_id: 'entity:node'
    property_path: field_body
    type: integer
    dependencies:
      config:
        - field.storage.node.field_body
  field_body_1:
    label: 'Sidebar Elements » Paragraph » Body'
    datasource_id: 'entity:node'
    property_path: 'field_sidebar_elements:entity:field_body'
    type: text
    dependencies:
      config:
        - field.storage.node.field_sidebar_elements
        - field.storage.paragraph.field_body
      module:
        - paragraphs
  field_description:
    label: Description
    datasource_id: 'entity:node'
    property_path: field_description
    type: text
    dependencies:
      config:
        - field.storage.node.field_description
  field_description_1:
    label: Description
    datasource_id: 'entity:node'
    property_path: field_description
    type: text
    dependencies:
      config:
        - field.storage.node.field_description
  field_keywords:
    label: Keywords
    datasource_id: 'entity:node'
    property_path: field_keywords
    type: text
    boost: 21.0
    dependencies:
      config:
        - field.storage.node.field_keywords
  field_keywords_1:
    label: 'Term Keywords'
    datasource_id: 'entity:taxonomy_term'
    property_path: field_keywords
    type: text
    boost: 21.0
    dependencies:
      config:
        - field.storage.taxonomy_term.field_keywords
  name:
    label: 'Term Name'
    datasource_id: 'entity:taxonomy_term'
    property_path: name
    type: text
    boost: 13.0
    dependencies:
      module:
        - taxonomy
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  status:
    label: status
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    boost: 13.0
    dependencies:
      module:
        - node
  type:
    label: 'Content type'
    datasource_id: 'entity:node'
    property_path: type
    type: string
    dependencies:
      module:
        - node
  uid:
    label: uid
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - blog_post
        - career
        - gutenberg_page
        - landing_page
        - new_article
        - page
        - pathway
        - program
    languages:
      default: true
      selected: {  }
  'entity:taxonomy_term':
    bundles:
      default: false
      selected:
        - blog_type
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -30
  custom_value: {  }
  entity_status: {  }
  entity_type: {  }
  highlight:
    weights:
      postprocess_query: 0
    prefix: '<strong>'
    suffix: '</strong>'
    excerpt: true
    excerpt_always: false
    excerpt_length: 256
    exclude_fields: {  }
    highlight: always
    highlight_partial: true
  ignorecase:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: true
    fields:
      - body
      - field_abstract
      - field_abstract_1
      - field_abstract_2
      - field_body_1
      - field_description
      - field_description_1
      - field_keywords
      - field_keywords_1
      - name
      - title
      - type
  language_with_fallback: {  }
  rendered_item: {  }
  search_api_exclude_entity_processor:
    fields:
      node:
        - field_exclude_from_search
      taxonomy_term: {  }
  type_boost:
    weights:
      preprocess_index: 0
    boosts:
      'entity:node':
        datasource_boost: 1.0
        bundle_boosts:
          blog_post: 0.1
      'entity:taxonomy_term':
        datasource_boost: 1.0
tracker_settings:
  default:
    indexing_order: lifo
options:
  cron_limit: 50
  index_directly: true
  track_changes_in_references: true
server: durham_tech
